Bug 146971 - PCI ethernet card not properly discovered: 'delaying initialization'
PCI ethernet card not properly discovered: 'delaying initialization'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 23:56 EST by Need Real Name
Modified: 2015-01-04 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-02-02 23:56:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040805 Netscape/7.2

Description of problem:
Dell 4600 has 3 ethernet interfaces:
# lspci
00:00.0 Host bridge: ServerWorks CMIC-HE (rev 22)
00:00.1 Host bridge: ServerWorks CMIC-HE
00:00.2 Host bridge: ServerWorks CMIC-HE
00:00.3 Host bridge: ServerWorks CMIC-HE
00:04.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 08)
00:06.0 SCSI storage controller: Adaptec AHA-2940U2/U2W / 7890/7891
(rev 01)
00:0e.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0f.0 Host bridge: ServerWorks CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 ISA bridge: ServerWorks CSB5 LPC bridge
00:10.0 Host bridge: ServerWorks CIOB30 (rev 03)
00:10.2 Host bridge: ServerWorks CIOB30 (rev 03)
00:11.0 Host bridge: ServerWorks CIOB30 (rev 03)
00:11.2 Host bridge: ServerWorks CIOB30 (rev 03)
01:06.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5700
Gigabit Ethernet (rev 14)
01:08.0 PCI bridge: Intel Corp.: Unknown device 0309 (rev 01)
02:06.0 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
02:06.1 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
03:06.0 PCI bridge: Intel Corp. 21154 PCI-to-PCI Bridge
03:08.0 Ethernet controller: Intel Corp. 82544EI Gigabit Ethernet
Controller (Copper) (rev 02)
04:00.0 PCI bridge: Intel Corp. 21154 PCI-to-PCI Bridge
04:01.0 SCSI storage controller: QLogic Corp. ISP12160 Dual Channel
Ultra3 SCSI Processor (rev 06)
04:02.0 SCSI storage controller: QLogic Corp. ISP12160 Dual Channel
Ultra3 SCSI Processor (rev 06)
05:00.0 RAID bus controller: American Megatrends Inc. MegaRAID (rev 20)


Only two are seen by ifconfig:
# /sbin/ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:02:B3:D4:EC:BE  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:207 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:13326 (13.0 Kb)
          Base address:0xace0 Memory:faf20000-faf40000 

eth1      Link encap:Ethernet  HWaddr 00:0B:DB:AC:FF:1A  
          inet addr:129.112.42.106  Bcast:129.112.42.255 
Mask:255.255.255.0
          inet6 addr: 2002:8170:9502:4:20b:dbff:feac:ff1a/64 Scope:Global
          inet6 addr: fec0::4:20b:dbff:feac:ff1a/64 Scope:Site
          inet6 addr: fe80::20b:dbff:feac:ff1a/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:3028970 errors:0 dropped:0 overruns:0 frame:0
          TX packets:374968 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:1007336337 (960.6 Mb)  TX bytes:153847805 (146.7 Mb)
          Interrupt:193 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:6150276 errors:0 dropped:0 overruns:0 frame:0
          TX packets:6150276 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:1556256434 (1484.1 Mb)  TX bytes:1556256434 (1484.1 Mb)

sit0      Link encap:IPv6-in-IPv4  
          NOARP  MTU:1480  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)


Device eth2 is seen by the network configuration GUI however.

Attempts to activate eth2 yield this:
# ifup eth2
e1000 device eth2 does not seem to be present, delaying initialization.


Version-Release number of selected component (if applicable):
2.6.9-1.11_FC2smp

How reproducible:
Always

Steps to Reproduce:
1. Use ifconfig to view devices
2. Use Network Configuration GUI to view devices
3. Note that device list does not match
4. Use lspci to view hardware devices
5. Use ifup to try to activate third network device
6. Note error message from ifup command
    

Actual Results:  e1000 device eth2 does not seem to be present,
delaying initialization.


Expected Results:  device should activate

Additional info:
Comment 1 Dave Jones 2005-02-03 01:15:08 EST
can you output of dmesg -s 128000 please ?
Comment 2 Dave Jones 2005-04-16 01:00:16 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.